IIO_READDEV(1)

NAME
iio_readdev - Linux Industrial I/O Subsystem capture tool

DESCRIPTION

  Usage:

    iio_readdev [-n <hostname>] [-t <trigger>] [-T <timeout-ms>] [-b <buffer-size>] [-s <samples>] <iio_device> [<channel> ...]

OPTIONS

-h, --help
    Show this help and quit.

-n, --network
    Use the network backend with the provided hostname.

-u, --uri
    Use the context with the provided URI.

-t, --trigger
    Use the specified trigger.

-b, --buffer-size
    Size of the capture buffer. Default is 256.

-s, --samples
    Number of samples to capture, 0 = infinite. Default is 0.

-T, --timeout
    Buffer timeout in milliseconds. 0 = no timeout

-a, --auto
    Scan for available contexts and if only one is available use it.

SEE ALSO
iio_adi_xflow_check(1) iio_attr(1) iiod(1) iio_genxml(1) iio_info(1) iio_reg(1)

https://wiki.analog.com/software/linux/docs/iio/iio

https://wiki.analog.com/resources/tools-software/linux-software/libiio